at.chipkarte.client.fus.soap

## Class BKMDaten

- Object
- - at.chipkarte.client.fus.soap.BKMDaten

-     public class BKMDaten
      extends Object

  Dient der Ein- und Ausgabe der Formular spezifischen Daten für den Formulartyp BKM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKMDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErkranktePersonEMail()` Angaben zur erkrankten Person: E-Mail.
    `String` | `getErkranktePersonFamilienname()` Angaben zur erkrankten Person: Familienname.
    `String` | `getErkranktePersonGeburtsdatum()` Angaben zur erkrankten Person: Geburtsdatum.
    `String` | `getErkranktePersonGeschlecht()` Angaben zur erkrankten Person: Geschlecht.
    `String` | `getErkranktePersonHausnummer()` Angaben zur erkrankten Person: Hausnummer.
    `String` | `getErkranktePersonOrt()` Angaben zur erkrankten Person: Ort.
    `String` | `getErkranktePersonPlz()` Angaben zur erkrankten Person: PLZ.
    `String` | `getErkranktePersonStaat()` Angaben zur erkrankten Person: Staat nach ISO Alpha 3 Kürzel.
    `String` | `getErkranktePersonStrasse()` Angaben zur erkrankten Person: Straße.
    `String` | `getErkranktePersonTelefonnummer()` Angaben zur erkrankten Person: Telefonnummer.
    `String` | `getErkranktePersonTuer()` Angaben zur erkrankten Person: Tür.
    `String` | `getErkranktePersonVorname()` Angaben zur erkrankten Person: Vorname.
    `String` | `getHonorarIban()` Honorar für Erstattung der Meldung: IBAN.
    `String` | `getHonorarKontoinhaber()` Honorar für Erstattung der Meldung: Kontoinhaber.
    `String` | `getMeldungsErstellungErstellerHausnummer()` Angabe zur Erstellung der Meldung: Ersteller Hausnummer.
    `String` | `getMeldungsErstellungErstellerOrt()` Angabe zur Erstellung der Meldung: Ersteller Ort.
    `String` | `getMeldungsErstellungErstellerPlz()` Angabe zur Erstellung der Meldung: Ersteller PLZ.
    `String` | `getMeldungsErstellungErstellerStaat()` Angabe zur Erstellung der Meldung: Ersteller Staat nach ISO Alpha 3 Kürzel.
    `String` | `getMeldungsErstellungErstellerStrasse()` Angabe zur Erstellung der Meldung: Ersteller Straße.
    `String` | `getMeldungsErstellungErstellerTuer()` Angabe zur Erstellung der Meldung: Ersteller Tür.
    `String` | `getMeldungsErstellungNameMeldenderArzt()` Angabe zur Erstellung der Meldung: Name meldender Arzt.
    `String` | `getMeldungsErstellungVersehrteInformiert()` Angabe zur Erstellung der Meldung: Der Versehrte wurde über die Meldung informiert.
    `String` | `getSvNummerOhneEcsBezug()` Angaben zur erkrankten Person: Sozialversicherungsnummer des Patienten.
    `String` | `getVermuteteBkAnmerkung()` Angaben zur vermuteten Berufskrankheit: Anmerkung zur Berufskrankheit.
    `String` | `getVermuteteBkExposition()` Angaben zur vermuteten Berufskrankheit: Exposition.
    `String` | `getZustaendigerUVT()` UV-Träger.
    `void` | `setErkranktePersonEMail(String erkranktePersonEMail)`
    `void` | `setErkranktePersonFamilienname(String erkranktePersonFamilienname)`
    `void` | `setErkranktePersonGeburtsdatum(String erkranktePersonGeburtsdatum)`
    `void` | `setErkranktePersonGeschlecht(String erkranktePersonGeschlecht)`
    `void` | `setErkranktePersonHausnummer(String erkranktePersonHausnummer)`
    `void` | `setErkranktePersonOrt(String erkranktePersonOrt)`
    `void` | `setErkranktePersonPlz(String erkranktePersonPlz)`
    `void` | `setErkranktePersonStaat(String erkranktePersonStaat)`
    `void` | `setErkranktePersonStrasse(String erkranktePersonStrasse)`
    `void` | `setErkranktePersonTelefonnummer(String erkranktePersonTelefonnummer)`
    `void` | `setErkranktePersonTuer(String erkranktePersonTuer)`
    `void` | `setErkranktePersonVorname(String erkranktePersonVorname)`
    `void` | `setHonorarIban(String honorarIban)`
    `void` | `setHonorarKontoinhaber(String honorarKontoinhaber)`
    `void` | `setMeldungsErstellungErstellerHausnummer(String meldungsErstellungErstellerHausnummer)`
    `void` | `setMeldungsErstellungErstellerOrt(String meldungsErstellungErstellerOrt)`
    `void` | `setMeldungsErstellungErstellerPlz(String meldungsErstellungErstellerPlz)`
    `void` | `setMeldungsErstellungErstellerStaat(String meldungsErstellungErstellerStaat)`
    `void` | `setMeldungsErstellungErstellerStrasse(String meldungsErstellungErstellerStrasse)`
    `void` | `setMeldungsErstellungErstellerTuer(String meldungsErstellungErstellerTuer)`
    `void` | `setMeldungsErstellungNameMeldenderArzt(String meldungsErstellungNameMeldenderArzt)`
    `void` | `setMeldungsErstellungVersehrteInformiert(String meldungsErstellungVersehrteInformiert)`
    `void` | `setSvNummerOhneEcsBezug(String svNummerOhneEcsBezug)`
    `void` | `setVermuteteBkAnmerkung(String vermuteteBkAnmerkung)`
    `void` | `setVermuteteBkExposition(String vermuteteBkExposition)`
    `void` | `setZustaendigerUVT(String zustaendigerUVT)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKMDaten

          public BKMDaten()

  - ### Method Detail

    - #### getZustaendigerUVT

          public String getZustaendigerUVT()

      UV-Träger.
      Mögliche Werte siehe `getUVTs` sowie zusätzlich der Wert "00" für "unbekannt".
      Angabe: Muss.
      Returns:
        Kvt.

    - #### setZustaendigerUVT

          public void setZustaendigerUVT(String zustaendigerUVT)

    - #### getSvNummerOhneEcsBezug

          public String getSvNummerOhneEcsBezug()

      Angaben zur erkrankten Person: Sozialversicherungsnummer des Patienten.
      Angabe: Bedingt. Für die Angabe gilt: Es muss entweder
      - eine im eCS bekannte SV-Person mittels SV-Nummer in ``bkErstformular`` oder mittels eines mit e-card erstellten `cardToken` angegeben werden oder
      - eine im eCS unbekannte Person mittels SV-Nummer in ``bka`/`bkm`` erfasst werden.
      Wird eine im eCS bekannte SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Wird eine im eCS unbekannte SV-Nummer in bka/bkm angegeben, ist die Angabe eines CardTokens bzw. einer SV-Nummer in `bkErstformular` nicht zulässig.
      Format: 10-stellig
      Returns:
        SvNummerOhneEcsBezug.

    - #### setSvNummerOhneEcsBezug

          public void setSvNummerOhneEcsBezug(String svNummerOhneEcsBezug)

    - #### getErkranktePersonGeburtsdatum

          public String getErkranktePersonGeburtsdatum()

      Angaben zur erkrankten Person: Geburtsdatum.
      Angabe: Bedingt. Muss angegeben werden, wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Geburtsdatum in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Geburtsdatum in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Format: TT.MM.JJJJ.
      Wertebereich: Darf nicht in der Zukunft liegen.
      Returns:
        ErkranktePersonGeburtsdatum.

    - #### setErkranktePersonGeburtsdatum

          public void setErkranktePersonGeburtsdatum(String erkranktePersonGeburtsdatum)

    - #### getErkranktePersonFamilienname

          public String getErkranktePersonFamilienname()

      Angaben zur erkrankten Person: Familienname.
      Angabe: Bedingt. Muss angegeben werden, wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Nachname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Nachname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Format: 70-stellig
      Returns:
        ErkranktePersonFamilienname.

    - #### setErkranktePersonFamilienname

          public void setErkranktePersonFamilienname(String erkranktePersonFamilienname)

    - #### getErkranktePersonVorname

          public String getErkranktePersonVorname()

      Angaben zur erkrankten Person: Vorname.
      Angabe: Bedingt. Muss angegeben werden, wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Vorname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Vorname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Format: 70-stellig
      Returns:
        ErkranktePersonVorname.

    - #### setErkranktePersonVorname

          public void setErkranktePersonVorname(String erkranktePersonVorname)

    - #### getErkranktePersonGeschlecht

          public String getErkranktePersonGeschlecht()

      Angaben zur erkrankten Person: Geschlecht.
      Angabe: Bedingt. Muss angegeben werden, wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Geschlecht in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Geschlecht in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Mögliche Werte siehe `Geschlechtscodes`. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Returns:
        ErkranktePersonGeschlecht.

    - #### setErkranktePersonGeschlecht

          public void setErkranktePersonGeschlecht(String erkranktePersonGeschlecht)

    - #### getErkranktePersonStrasse

          public String getErkranktePersonStrasse()

      Angaben zur erkrankten Person: Straße.
      Angabe: Muss.
      Format: 60-stellig
      Returns:
        ErkranktePersonStrasse.

    - #### setErkranktePersonStrasse

          public void setErkranktePersonStrasse(String erkranktePersonStrasse)

    - #### getErkranktePersonHausnummer

          public String getErkranktePersonHausnummer()

      Angaben zur erkrankten Person: Hausnummer.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        ErkranktePersonHausnummer.

    - #### setErkranktePersonHausnummer

          public void setErkranktePersonHausnummer(String erkranktePersonHausnummer)

    - #### getErkranktePersonTuer

          public String getErkranktePersonTuer()

      Angaben zur erkrankten Person: Tür.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        ErkranktePersonTuer.

    - #### setErkranktePersonTuer

          public void setErkranktePersonTuer(String erkranktePersonTuer)

    - #### getErkranktePersonPlz

          public String getErkranktePersonPlz()

      Angaben zur erkrankten Person: PLZ.
      Angabe: Muss.
      Format: 9-stellig
      Returns:
        ErkranktePersonPlz.

    - #### setErkranktePersonPlz

          public void setErkranktePersonPlz(String erkranktePersonPlz)

    - #### getErkranktePersonOrt

          public String getErkranktePersonOrt()

      Angaben zur erkrankten Person: Ort.
      Angabe: Muss.
      Format: 50-stellig
      Returns:
        ErkranktePersonOrt.

    - #### setErkranktePersonOrt

          public void setErkranktePersonOrt(String erkranktePersonOrt)

    - #### getErkranktePersonStaat

          public String getErkranktePersonStaat()

      Angaben zur erkrankten Person: Staat nach ISO Alpha 3 Kürzel.
      Angabe: Muss.
      Format: genau 3-stellig
      Returns:
        ErkranktePersonStaat.

    - #### setErkranktePersonStaat

          public void setErkranktePersonStaat(String erkranktePersonStaat)

    - #### getErkranktePersonTelefonnummer

          public String getErkranktePersonTelefonnummer()

      Angaben zur erkrankten Person: Telefonnummer.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        ErkranktePersonTelefonnummer.

    - #### setErkranktePersonTelefonnummer

          public void setErkranktePersonTelefonnummer(String erkranktePersonTelefonnummer)

    - #### getErkranktePersonEMail

          public String getErkranktePersonEMail()

      Angaben zur erkrankten Person: E-Mail.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        ErkranktePersonEMail.

    - #### setErkranktePersonEMail

          public void setErkranktePersonEMail(String erkranktePersonEMail)

    - #### getMeldungsErstellungVersehrteInformiert

          public String getMeldungsErstellungVersehrteInformiert()

      Angabe zur Erstellung der Meldung: Der Versehrte wurde über die Meldung informiert.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Muss.
      Returns:
        MeldungsErstellungVersehrteInformiert.

    - #### setMeldungsErstellungVersehrteInformiert

          public void setMeldungsErstellungVersehrteInformiert(String meldungsErstellungVersehrteInformiert)

    - #### getMeldungsErstellungNameMeldenderArzt

          public String getMeldungsErstellungNameMeldenderArzt()

      Angabe zur Erstellung der Meldung: Name meldender Arzt.
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        MeldungsErstellungNameMeldenderArzt.

    - #### setMeldungsErstellungNameMeldenderArzt

          public void setMeldungsErstellungNameMeldenderArzt(String meldungsErstellungNameMeldenderArzt)

    - #### getMeldungsErstellungErstellerStrasse

          public String getMeldungsErstellungErstellerStrasse()

      Angabe zur Erstellung der Meldung: Ersteller Straße.
      Angabe: Muss.
      Format: 60-stellig
      Returns:
        MeldungsErstellungErstellerStrasse.

    - #### setMeldungsErstellungErstellerStrasse

          public void setMeldungsErstellungErstellerStrasse(String meldungsErstellungErstellerStrasse)

    - #### getMeldungsErstellungErstellerHausnummer

          public String getMeldungsErstellungErstellerHausnummer()

      Angabe zur Erstellung der Meldung: Ersteller Hausnummer.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        MeldungsErstellungErstellerHausnummer.

    - #### setMeldungsErstellungErstellerHausnummer

          public void setMeldungsErstellungErstellerHausnummer(String meldungsErstellungErstellerHausnummer)

    - #### getMeldungsErstellungErstellerTuer

          public String getMeldungsErstellungErstellerTuer()

      Angabe zur Erstellung der Meldung: Ersteller Tür.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        MeldungsErstellungErstellerTuer.

    - #### setMeldungsErstellungErstellerTuer

          public void setMeldungsErstellungErstellerTuer(String meldungsErstellungErstellerTuer)

    - #### getMeldungsErstellungErstellerPlz

          public String getMeldungsErstellungErstellerPlz()

      Angabe zur Erstellung der Meldung: Ersteller PLZ.
      Angabe: Muss.
      Format: 9-stellig
      Returns:
        MeldungsErstellungErstellerPlz.

    - #### setMeldungsErstellungErstellerPlz

          public void setMeldungsErstellungErstellerPlz(String meldungsErstellungErstellerPlz)

    - #### getMeldungsErstellungErstellerOrt

          public String getMeldungsErstellungErstellerOrt()

      Angabe zur Erstellung der Meldung: Ersteller Ort.
      Angabe: Muss.
      Format: 50-stellig
      Returns:
        MeldungsErstellungErstellerOrt.

    - #### setMeldungsErstellungErstellerOrt

          public void setMeldungsErstellungErstellerOrt(String meldungsErstellungErstellerOrt)

    - #### getMeldungsErstellungErstellerStaat

          public String getMeldungsErstellungErstellerStaat()

      Angabe zur Erstellung der Meldung: Ersteller Staat nach ISO Alpha 3 Kürzel.
      Wird bei Eingabe ignoriert.
      Angabe: Muss.
      Format: genau 3-stellig
      Returns:
        MeldungsErstellungErstellerStaat.

    - #### setMeldungsErstellungErstellerStaat

          public void setMeldungsErstellungErstellerStaat(String meldungsErstellungErstellerStaat)

    - #### getHonorarKontoinhaber

          public String getHonorarKontoinhaber()

      Honorar für Erstattung der Meldung: Kontoinhaber.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        HonorarKontoinhaber.

    - #### setHonorarKontoinhaber

          public void setHonorarKontoinhaber(String honorarKontoinhaber)

    - #### getHonorarIban

          public String getHonorarIban()

      Honorar für Erstattung der Meldung: IBAN.
      Angabe: Bedingt. Muss angegeben werden, wenn Kontoinhaber angegeben ist. Keine Angabe erlaubt, wenn Kontoinhaber nicht angegeben ist.
      Format: 34-stellig
      Wert: nur Großbuchstaben und Zahlen sowie Prüfziffer korrekt
      Returns:
        HonorarKontoinhaber.

    - #### setHonorarIban

          public void setHonorarIban(String honorarIban)

    - #### getVermuteteBkExposition

          public String getVermuteteBkExposition()

      Angaben zur vermuteten Berufskrankheit: Exposition.
      Angabe: Kann.
      Format: 500-stellig
      Returns:
        VermuteteBkExposition.

    - #### setVermuteteBkExposition

          public void setVermuteteBkExposition(String vermuteteBkExposition)

    - #### getVermuteteBkAnmerkung

          public String getVermuteteBkAnmerkung()

      Angaben zur vermuteten Berufskrankheit: Anmerkung zur Berufskrankheit.
      Angabe: Kann.
      Format: 500-stellig
      Returns:
        VermuteteBkAnmerkung.

    - #### setVermuteteBkAnmerkung

          public void setVermuteteBkAnmerkung(String vermuteteBkAnmerkung)